#include <iostream>

using namespace std;

class test
{
    public:
    int N,M,K;
    bool proveri();
    void unos();
};
void test :: unos()
{
    cin >> N >> M >> K;
}
bool test :: proveri()
{
    if (N < K)
        return 0;
    int i=1;
    while (N>0)
    {
        M-=i;
        N--;
        i++;
    }
    if (M < 0)
        return 0;
    return 1;

}
int main()
{
    test t[10];
    int i,T;
    cin >> T;
    for (i=0;i<T;i++)
    {
        t[i].unos();
    }
    for (i=0;i<T;i++)
    {
        if (t[i].proveri() == true)
            cout << "Tak" << endl;
        else cout << "Nie" << endl;
    }

return 0;
}